/**
 * @file
 * Attaches behaviors for aria-current support in navigation links.
 */

(($, Drupal) => {
  /**
   * Append aria-current attribute to active links in the navigation.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.ariaCurrentLinks = {
    attach(context) {
      const activeLinks = context.querySelectorAll('nav a.is-active');
      console.log(activeLinks);
      const il = activeLinks.length;
      for (let i = 0; i < il; i++) {
        activeLinks[i].setAttribute('aria-current', 'page');
      }
    },
    detach(context, settings, trigger) {
      if (trigger === 'unload') {
        const activeLinks = context.querySelectorAll('a[aria-current="page"]');
        const il = activeLinks.length;
        for (let i = 0; i < il; i++) {
          activeLinks[i].removeAttribute('aria-current');
        }
      }
    },
  };
})(jQuery, Drupal);
